package org.dromara.ygpassport.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.BugBo;
import org.dromara.ygpassport.domain.vo.BugVo;

import java.io.Serial;

@Data
@AutoMapper(target = BugBo.class, reverseConvertGenerate = false)
public class WxBugDto {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * bug类型
     */
    private Long bugType;

    /**
     * bug描述
     */
    private String bugDerp;

    public WxBugDto() {

    }

    public WxBugDto(BugVo bugVo) {
        this.id = bugVo.getId();
        this.stuNo = bugVo.getStuNo();
        this.bugType = bugVo.getBugType();
        this.bugDerp = bugVo.getBugDerp();
    }
}
